Summary: Enigma is a puzzle game similar to Oxyd
Name: enigma-freeoxyd
Version: 0.81
Release: 2mdk
Source0: enigma-%{version}.tar.bz2
License: GPL
Group: Games/Boards
URL: http://www.nongnu.org/enigma/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: liblua-devel libSDL-devel libSDL_image-devel
BuildRequires: libSDL_mixer-devel libSDL_ttf-devel

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q -n enigma-%{version}

%build

./configure --prefix=%_prefix 

%make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%_prefix install

mkdir -p $RPM_BUILD_ROOT%_mandir/man6
mv $RPM_BUILD_ROOT%_prefix/man/man6/* $RPM_BUILD_ROOT%_mandir/man6/
mv $RPM_BUILD_ROOT/%_docdir/enigma $RPM_BUILD_ROOT/%_docdir/%name-%version

mv $RPM_BUILD_ROOT/%_bindir/enigma $RPM_BUILD_ROOT/%_bindir/%name

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="x11" \
	section="Amusement/Boards" \
	title="Enigma" \
	icon="boards_section.png" \
	longtitle="Enigma is a puzzle game similar to Oxyd" \
	startup_notify="false"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/enigma
%{_datadir}/applications/*
%doc %_docdir/%name-%version
%{_mandir}/man6/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/pixmaps/*
%{_menudir}/*

%changelog
* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-2mdk
- Rename binary as enigma-freeoxyd to not conflict with enigma package 

* Thu Oct 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Aug 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new...hum...not really, replace the enigma package
- patch0: fix some missing includes
